<template>
  <div>
    <PageCard
      class="signIn_wrapper"
      :title="$t('authorization.step2.part3.title')"
      pointColor="#fea911"
      :bordering="false"
      dark>
      <div class="signIn_inner">
        <div class="signIn_inner-description">
          {{$t('authorization.step2.part3.description')}}
        </div>
      </div>
    </PageCard>
    <PageCard :bordering="false">
      <div class="signIn_inner-body flex flex-center">
        <div class="signIn_inner-padding">
          <BtnDark
            @click="download"
            color="#8591a9"
            :backgroundColor="clicked ? '#fea911' : '#192233'"
            borderColor="#fea911">{{$t('authorization.step2.part3.btn')}}
            <template slot="img">
              <IconDownload
                class="mt-3p ml-10"
                fill="#8591a9"></IconDownload>
            </template>
          </BtnDark>
        </div>
      </div>
    </PageCard>
  </div>
</template>

<script>
  import BtnDark from '~/components/UI/BtnSign_dark';
  import {download} from '~/components/utils';
  import {Wallet} from '~/services/wallet/';
  import IconDownload from '~/components/UI/icons/icon-download';
  import PageCard from '~/components/UI/PageCard';

  export default {
    name: "Step1_ThePart3",
    data() {
      return {
        clicked: false
      }
    },
    components: {
      BtnDark,
      IconDownload,
      PageCard
    },
    computed: {
      mnemonic() {
        return this.$store.state.signIn.mnemonic;
      }
    },
    methods: {
      download() {
        this.clicked = true;
        this.ga('down');
        Wallet.getKeys(this.mnemonic.join(' ')).then(keys => {
          const pKeys = keys.privateKey.split(':');
          let stringToSave = `(Active)${pKeys[0]}`;
          if (pKeys.length > 1) {
            stringToSave += `:(Owner)${pKeys[1]}`;
          }
          download('Keyfile.txt', stringToSave);
        });
      }
    }
  }
</script>
